
QGIS Application - Bug report #940

Shapefile fails to draw

2008-02-07 01:30 PM - Jeremy Palmer

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10999

Description

When you pan and the center of the map goes beyond the 180 or -360 line(?) the shapes on either side are not drawing any more, even

though they are still in view.

See attached shape file for example.

History

#1 - 2008-02-07 01:38 PM - Jeremy Palmer

- Resolution set to fixed

- Status changed from Open to Closed

OK found the problem. I had a corrupt spatial index file (qix). Once I created a new index with shptree (QIGS spatial index creation failed) everything

worked as expected.

#2 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted

Files

shapeifle.7z 8.42 KB 2008-02-07 Jeremy Palmer
